
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux系统中VNC安装配置方法详解 / iVAN</title>

    <meta name="description" content="linux系统中VNC安装配置方法详解 1.确认VNC是否安装 默认情况下,Red Hat Enterprise Linux安装程序会将VNC服务安装在系统上. 确认是否已经安装VNC服务及查看安装的VNC版本 [root@testdb ~]# rpm -q vnc-server vnc-server-4.1.2-9.el5 [root@testdb ~]# 若系统没有安装,可以到操作系统安装盘的Server目录下找到VNC服务的RPM安装包vnc-server-4.1.2-9.el5.x86_64.rpm,安装命令如下 rpm -i">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux系统中VNC安装配置方法详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>1.确认VNC是否安装</strong></p>
<p>默认情况下，Red Hat Enterprise Linux安装程序会将VNC服务安装在系统上。<br />
确认是否已经安装VNC服务及查看安装的VNC版本<br />
[root@testdb ~]# rpm -q vnc-server<br />
vnc-server-4.1.2-9.el5<br />
[root@testdb ~]#</p>
<p>若系统没有安装,可以到操作系统安装盘的Server目录下找到VNC服务的RPM安装包vnc-server-4.1.2-9.el5.x86_64.rpm，安装命令如下<br />
rpm -ivh /mnt/Server/vnc-server-4.1.2-9.el5.x86_64.rpm</p>
<p><strong>2.启动VNC服务</strong></p>
<p>使用vncserver命令启动VNC服务，命令格式为“vncserver :桌面号”，其中“桌面号”用“数字”的方式表示，每个用户连个需要占用1个桌面<br />
启动编号为1的桌面示例如下<br />
[root@testdb ~]# vncserver :1</p>
<p>You will require a password to access your desktops.</p>
<p>Password:<br />
Verify:<br />
xauth:  creating new authority file /root/.Xauthority</p>
<p>New 'testdb:1 (root)' desktop is testdb:1</p>
<p>Creating default startup script. /root/.vnc/xstartup<br />
Starting applications specified in /root/.vnc/xstartup<br />
Log file is /root/.vnc/testdb:1.log</p>
<p>以上命令执行的过程中，因为是第一次执行，需要输入密码，这个密码被加密保存在用户主目录下的.vnc子目录（/root/.vnc/passwd）中；同时在用户主目录下的.vnc子目录中为用户自动建立xstartup配置文件（/root/.vnc/xstartup），在每次启动VND服务时，都会读取该文件中的配置信息。<br />
BTW：/root/.vnc/目录下还有一个“testdb:1.pid”文件，这个文件记录着启动VNC后对应后天操作系统的进程号，用于停止VNC服务时准确定位进程号。</p>
<p><strong>3.VNC服务使用的端口号与桌面号的关系</strong></p>
<p>VNC服务使用的端口号与桌面号相关，VNC使用TCP端口从5900开始，对应关系如下<br />
桌面号为“1”  ---- 端口号为5901<br />
桌面号为“2”  ---- 端口号为5902<br />
桌面号为“3”  ---- 端口号为5903<br />
……<br />
基于Java的VNC客户程序Web服务TCP端口从5800开始，也是与桌面号相关，对应关系如下<br />
桌面号为“1”  ---- 端口号为5801<br />
桌面号为“2”  ---- 端口号为5802<br />
桌面号为“3”  ---- 端口号为5803<br />
……<br />
基于上面的介绍，如果Linux开启了防火墙功能，就需要手工开启相应的端口，以开启桌面号为“1”相应的端口为例，命令如下<br />
[root@testdb ~]# iptables -I INPUT -p tcp --dport 5901 -j ACCEPT<br />
[root@testdb ~]# iptables -I INPUT -p tcp --dport 5801 -j ACCEPT</p>
<p><strong>4.测试VNC服务</strong></p>
<p>第一种方法是使用VNC Viewer软件登陆测试，操作流程如下<br />
启动VNC Viewer软件 --&gt; Server输入“144.194.192.183:1” --&gt; 点击“OK” --&gt; Password输入登陆密码 --&gt; 点击“OK”登陆到X-Window图形桌面环境 --&gt; 测试成功<br />
第二种方法是使用Web浏览器（如Firefox,IE,Safari）登陆测试，操作流程如下<br />
地址栏输入http://144.194.192.183:5801/ --&gt; 出现VNC viewer for Java（此工具是使用Java编写的VNC客户端程序）界面，同时跳出VNC viewer对话框，在Server处输入“144.194.192.183:1”点击“OK” --&gt; Password输入登陆密码 --&gt; 点击“OK”登陆到X-Window图形桌面环境 --&gt; 测试成功<br />
（注：VNC viewer for Java需要JRE支持，如果页面无法显示，表示没有安装JRE，可以到http://java.sun.com/javase/downloads/index_jdk5.jsp这里下载最新的JRE进行安装）</p>
<p><strong>5.配置VNC图形桌面环境为KDE或GNOME桌面环境</strong></p>
<p>如果您是按照我的上面方法进行的配置的，登陆到桌面后效果是非常简单的，只有一个Shell可供使用，这是为什么呢？怎么才能看到可爱并且美丽的KDE或GNOME桌面环境呢？回答如下<br />
之所以那么的难看，是因为VNC服务默认使用的是twm图形桌面环境的，可以在VNC的配置文件xstartup中对其进行修改，先看一下这个配置文件<br />
[root@testdb ~]# cat /root/.vnc/xstartup<br />
#!/bin/sh</p>
<p># Uncomment the following two lines for normal desktop:<br />
# unset SESSION_MANAGER<br />
# exec /etc/X11/xinit/xinitrc</p>
<p>[ -x /etc/vnc/xstartup ] &amp;&amp; exec /etc/vnc/xstartup<br />
[ -r $HOME/.Xresources ] &amp;&amp; xrdb $HOME/.Xresources<br />
xsetroot -solid grey<br />
vncconfig -iconic &amp;<br />
xterm -geometry 80x24+10+10 -ls -title "$VNCDESKTOP Desktop" &amp;<br />
twm &amp;</p>
<p>将这个xstartup文件的最后一行修改为“startkde &amp;”，再重新启动vncserver服务后就可以登陆到KDE桌面环境<br />
将这个xstartup文件的最后一行修改为“gnome-session &amp;”，再重新启动vncserver服务后就可以登陆到GNOME桌面环境</p>
<p>重新启动vncserver服务的方法：<br />
[root@testdb ~]# vncserver -kill :1<br />
[root@testdb ~]# vncserver :1</p>
<p><strong>6.配置多个桌面</strong></p>
<p>可以使用如下的方法启动多个桌面的VNC<br />
vncserver :1<br />
vncserver :2<br />
vncserver :3<br />
……<br />
但是这种手工启动的方法在服务器重新启动之后将失效，因此，下面介绍如何让系统自动管理多个桌面的VNC，方法是将需要自动管理的信息添加到/etc/sysconfig/vncservers配置文件中，先以桌面1为root用户桌面2为oracle用户为例进行配置如下：<br />
格式为：VNCSERVERS="桌面号:使用的用户名桌面号:使用的用户名"<br />
[root@testdb ~]# vi /etc/sysconfig/vncservers<br />
VNCSERVERS="1:root 2:oracle"<br />
VNCSERVERARGS[1]="-geometry 1024x768"<br />
VNCSERVERARGS[2]="-geometry 1024x768"</p>
<p><strong>7.修改VNC访问的密码</strong></p>
<p>使用命令vncpasswd对不同用户的VNC的密码进行修改，一定要注意，如果配置了不同用户的VNC需要分别到各自用户中进行修改，例如在我的这个实验中，root用户和oracle用户需要分别修改，修改过程如下：<br />
[root@testdb ~]# vncpasswd<br />
Password:<br />
Verify:<br />
[root@testdb ~]#</p>
<p><strong>8.启动和停止VNC服务</strong></p>
<p>1）启动VNC服务命令<br />
[root@testdb ~]# /etc/init.d/vncserver start<br />
Starting VNC server: 1:root<br />
New 'testdb:1 (root)' desktop is testdb:1</p>
<p>Starting applications specified in /root/.vnc/xstartup<br />
Log file is /root/.vnc/testdb:1.log</p>
<p>2:oracle<br />
New 'testdb:2 (oracle)' desktop is testdb:2</p>
<p>Starting applications specified in /home/oracle/.vnc/xstartup<br />
Log file is /home/oracle/.vnc/testdb:2.log</p>
<p>                                                           [  OK  ]<br />
2）停止VNC服务命令</p>
<p>[root@testdb ~]# /etc/init.d/vncserver stop<br />
Shutting down VNC server: 1:root 2:oracle                  [  OK  ]</p>
<p>3）重新启动VNC服务命令</p>
<p>[root@testdb ~]# /etc/init.d/vncserver restart<br />
Shutting down VNC server: 1:root 2:oracle                  [  OK  ]<br />
Starting VNC server: 1:root<br />
New 'testdb:1 (root)' desktop is testdb:1</p>
<p>Starting applications specified in /root/.vnc/xstartup<br />
Log file is /root/.vnc/testdb:1.log</p>
<p>2:oracle<br />
New 'testdb:2 (oracle)' desktop is testdb:2</p>
<p>Starting applications specified in /home/oracle/.vnc/xstartup<br />
Log file is /home/oracle/.vnc/testdb:2.log</p>
<p>                                                           [  OK  ]<br />
4）设置VNC服务随系统启动自动加载</p>
<p>第一种方法：使用“ntsysv”命令启动图形化服务配置程序，在vncserver服务前加上星号，点击确定，配置完成。<br />
第二种方法：使用“chkconfig”在命令行模式下进行操作，命令使用如下（预知chkconfig详细使用方法请自助式man一下）<br />
[root@testdb ~]# chkconfig vncserver on<br />
[root@testdb ~]# chkconfig --list vncserver<br />
vncserver       0:off   1:off   2:on    3:on    4:on    5:on    6:off</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:34:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/%e5%af%86%e7%a0%81/" title="密码">密码</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e7%ab%af%e5%8f%a3/" title="端口">端口</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux系统中VNC安装配置方法详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pka2ryb.html" rel="bookmark">linux系统中Cron Job使用方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				cron是linux的一个daemon,cron job就是被cron预定执行的任务.cron使用特殊的配置文件即crontab文件来设置命令或脚本的执行时间或频率.之前已经介绍crontab的基础使用,不再详述. 再次说明下crontab的命令格式  # ┌───────────── min (0 - 59)  # │ ┌────────────── hour (0 - 23)  # │ │ ┌─────────────── day of month (1 - 31)  # │ │ │ ┌──			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRggmb.html" rel="bookmark">mysql5&period;1&period;26安装配置方法详解&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL安装与配置 1.所用MySQL的版本为:MySQL_5_1_26.msi: 2.下载好软件后双击进入以下界面:   3.点击Next,进入以下界面:   4.选择&quot;Custom&quot;后,点击Next,进入以下界面:   5.然后点击图中所有的下拉可选项(总共四个),选择第二个选项,即&quot;This feature,and all subfeatures,will be...&quot;:其中的一个示例截图如下:   6.然后点击&quot;Change&quot;按钮,将安			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAYGaJM.html" rel="bookmark">Linux系统中PHP安装配置MongoDB数据库连接扩展步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说明: 操作系统:CentOS 5.X 64位 MongoDB数据库服务器: IP地址:192.168.21.130 Web服务器: IP地址:192.168.21.127 PHP安装路径:/usr/local/php 实现目的: 安装PHP的MongoDB数据库扩展,通过PHP程序连接MongoDB数据库 具体操作: 一.安装PHP的MongoDB数据库扩展(在Web服务器192.168.21.127上操作) 下载地址:http://pecl.php.net/get/mongo-1.5.1.t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZwG3Ob.html" rel="bookmark">centos6中gitolite安装配置步骤详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				git服务端的管理工具用过2个,一个gitlab,一个是gitolite, 1,gitlab功能强大,有web管理界面,反正是各种方便吧,请参考:linux gitlab nginx 安装 配置 详解,但是gitlab安装比较麻烦 2,gitolite,安装非常简单,功能也比较简单,基本需要能满足,创建仓库,分配权限,总体来说还不错. 如果频繁的创建仓库,以及人员变更,用gitlab比较合适的,反之gitolite比较合适. 一,安装GIT # yum install perl openssh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVqOqz.html" rel="bookmark">LNMP一键安装包安装配置方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系统需求: CentOS/RHEL/Fedora/Debian/Ubuntu/Raspbian Linux系统 需要3GB以上硬盘剩余空间 需要128MB以上内存(如果为128MB的小内存VPS,Xen的需要有SWAP,OpenVZ的至少要有128MB以上的vSWAP或突发内存),注意小内存请勿使用64位系统! 安装MySQL 5.6或5.7及MariaDB 10必须1G以上内存!. VPS或服务器必须已经联网,且必须设置的是网络源不能是光盘源,同时VPS/服务器 DNS要正常! Linux下区			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgmkA6z.html" rel="bookmark">linux中FTP安装设置方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安装vsftp软件 1.   更新yum源 首先需要更新系统的yum源,便捷工具下载地址:http://help.aliyun.com/manual?spm=0.0.0.0.zJ3dBU&amp;helpId=1692 2.  安装vsftp 使用yum命令安装vsftp 1    #yum install vsftpd -y 3.  添加ftp帐号和目录 先检查一下nologion的位置,通常在/usr/sbin/nologion或者/sbin/nologion下. 使用下面的命令创建帐户,该命令指定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrdAL1z.html" rel="bookmark">linux中phpmyadmin安装配置图文详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说明: phpMyAdmin 就是一种 MySQL 数据库的管理工具,安装该工具后,即可以通过 web 形式直接管理 MySQL 数据,而不需要通过执行系统命令来管理,非常适合对数据库操作命令不熟悉的数据库管理者,下面详细说明该工具的安装方法. 实现: 一.下载phpmyadmin  代码如下 复制代码 # cd /usr/local/src/ # wget http://superb-dca3.dl.sourceforge.net/project/phpmyadmin/phpMyAdmin/4			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9NK2kp.html" rel="bookmark">linux系统中Nagios Nagiosgraph配置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原理: 使用service_perfdata_file_processing_command指令,将nagios监控到的每个服务数据,传递给 /usr/local/nagiosgraph/bin/insert.pl脚本处理,生产rrd文件. 下面来说说Nagiosgraph的配置: 1. 获取组件  代码如下 复制代码 # wget http://downloads.sourceforge.net/project/nagiosgraph/nagiosgraph/1.4.4/nagiosgraph			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd0Pemp.html" rel="bookmark">linux系统中WordPress伪静态配置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				L我们是否有发现环境中我们较为常用的wordpress伪静态不生效,内页出现404错误页面.这个问题很好解决,因为我们lnmp采用的是nginx,而不是apache,所以不如apache直接丢htaccess文件到网站根目录就可以生效伪静态. 首先,默认安装的lnmp环境中已经有伪静态文件wordpress.conf文件在&quot;/usr/local/nginx/conf/wordpress.conf&quot;中,我们可以核对一下里面的编译代码是不是为:  代码如下 复制代码 if (-f $req			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2ywrz.html" rel="bookmark" class="title">UC浏览器怎么将书签发送到桌面</a>
					<div>
						  UC浏览器怎么将书签发送到桌面? 现在,不少人都在使用UC浏览器,而很多人更是在使用电脑版UC浏览器.实际上,UC浏览器使用有很多方便之处,例如可以把保存的书签放在手机桌面,更有助于我们快捷使用U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1lRjb.html" rel="bookmark" class="title">超全面的移动端尺寸基础知识科普指南</a>
					<div>
						  初涉移动端设计和开发的同学们,基本都会在尺寸问题上纠结好一阵子才能摸到头绪.我也花了很长时间才弄明白,感觉有必要写一篇足够通俗易懂的教程来帮助大家.从原理说起,理清关于尺寸的所有细节.由于是写给初 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPPg0p.html" rel="bookmark" class="title">Vsftpd使用虚拟用户，访问FTP</a>
					<div>
						由于需要,公司网站目录需要把上传权限开通,并且同一个目录需要不同的人给与不同的权限.但是上传只能通过FTP进行上传.而网站服务器上的FTP服务器使用的是Vsftpd. 具体要求如下: 网站根目录/ww ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk1NEb.html" rel="bookmark" class="title">Web 2&period;0改变了互联网</a>
					<div>
						web|互联网 经过10年发展后,人们通过互联网已经可以完成比之前多得多的工作,得到更丰富.更精确.更迅捷的反馈,以及更加美妙的体验.然而再过10年我们会发现媒体,无论报纸.电视还是互联网,与现在都完 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM931Rz.html" rel="bookmark" class="title">HCC：新站怎么让百度收录及持续收录</a>
					<div>
						  如何让网站被百度更快录,首先,你的网站是否挂上去了呢?当然,应该还没有菜了如此地步的站长及站长爱好者吧.HCC一直都认为这个网络蜘蛛很人性化,也是需要付出感情去勾引蜘蛛来读取你的网站数据.因此,要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNw17p.html" rel="bookmark" class="title">站内优化之网站标题如何优化</a>
					<div>
						  前一段时间,我看到在江西推的一个免费学员感概,已经学了2个多月了,但却说没有掌握到SEO的精髓,自己网站已经没有优化上去. 老夫自问自己是不是表达有问题,发现没问题后,然后去看了下这位哥们优化网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKGGrp.html" rel="bookmark" class="title">Play框架（一） 简介</a>
					<div>
						说到网络框架,Ruby的Ruby on Rail和Python的Django都相当轻巧好用,但Java下的框架,则要沉重很多.有人因此质疑Java语言本身是否符合网络时代的需求.Java大神们对这一问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze47j0p.html" rel="bookmark" class="title">mysql 执行计划优化</a>
					<div>
						一条简单的SQL 语句竟花了15.87 sec, 写道 mysql&gt; SELECT x.loc AS loc, x.lastmod AS lastmod, x.changefreq AS cha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2kejM.html" rel="bookmark" class="title">酷我音乐找歌与试听歌曲技巧</a>
					<div>
						1在酷我音乐中找歌介绍 酷我音乐提供了多种音乐发现途径,这些途径包括:音乐搜索.今日推荐.最新专辑推荐.热门榜单推荐.歌手列表.酷我个性化推荐以及更多播放列表等等. 2今日推荐 在今日推荐页面中&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK6QkM.html" rel="bookmark" class="title">网站设计分析：专题网页设计 你怎么看？</a>
					<div>
						认识专题--既然是关于某个主题的专题,那么一个简介视乎是必不可少的,各大专题页我们都能看到这样一个简介,或长或短,但一定要深刻醒目. 页面特性:产品页面简洁易用,专题页面绚丽视效印象深刻. 在页面设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z420O8M.html" rel="bookmark" class="title">Photoshop给美女头像后期彩妆精修教程</a>
					<div>
						主要使用Photoshop调出美女头像后期精致的彩妆效果,整体的细节部分处理的很好,彩妆的效果也非常的漂亮,喜欢的朋友让我们一起来学习吧. 最终效果图,如下: 1-开启PS软件,打开图像后,分析图像: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eYAyb.html" rel="bookmark" class="title">原来用Excel2013也能把表格保存网页形式</a>
					<div>
						  1.在Excel 2013中,我们可以将整个工作簿保存为一个主页(HomePage),操作步骤如下: 2.打开要保存为主页的文件. 3.在&quot;文件&quot;菜单下执行&quot;另存为W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Wm57b.html" rel="bookmark" class="title">关闭windows7旗舰版系统中的power键以防误操作直接关机</a>
					<div>
						  1.在win7桌面空白处鼠标右击选择&quot;个性化&quot;选项,然后选择&quot;屏幕保护程序&quot;; 2.在弹出的屏幕保护程序对话框中,点击界面下方的&quot;更改电源设置&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjXg9p.html" rel="bookmark" class="title">&period;NET实现之自己动手写高内聚插件系统</a>
					<div>
						今天跟大家分享一下本人在.NET简谈构件系统开发模式一文中提到的软件架构设计思路的具体实现细节. 大家看了我这篇文章后,总问我为什么要起个这么怪异的名字构件而不用插件.其实这个名字在我脑子漂浮了很久, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3Z48z.html" rel="bookmark" class="title">如何解决源码包安装时的依赖性问题</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://chenguang.blog.51cto.com/350944/1034095 不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZlAob.html" rel="bookmark" class="title">违反完整约束条件 &lpar;EDITORIAL&lowbar;REAL&period;FK34BFDAE1DBFDB44D&rpar; - 未找到父项关键字</a>
					<div>
						今天在改代码的时候,发现报错如下: Hibernate: insert into M_CUS_MARKETING_RELATIONSHIP (CRM_CORP_TYPE_ID, M_ID, M_CUS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWGlWp.html" rel="bookmark" class="title">c&num;-C&num; 制作自定义打包程序的问题</a>
					<div>
						问题描述 C# 制作自定义打包程序的问题 我想根据客户的选择来决定安装什么文件,这样的安装程序怎么制作 解决方案 C# winform 安装程序打包(自定义操作) 解决方案二: 谢谢,但这不是我想要的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQgQAp.html" rel="bookmark" class="title">javascript在css样式中获取样式</a>
					<div>
						问题描述 javascript在css样式中获取样式 &lt;link href=&quot;beijingyangse.css&quot; rel=&quot;stylesheet&quot; ty ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RYgZb.html" rel="bookmark" class="title">ios开发-ios如何检测网络并尝试连接获取数据</a>
					<div>
						问题描述 ios如何检测网络并尝试连接获取数据 当网络断开时,不断检测网络的连接状态,再连接网络,刷新数据?怎么实现?我用NSNotificationCenter发送通知的时候,会使内存激增,因为不断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAWwJp.html" rel="bookmark" class="title">我忘记了密码---Google Adsence使用入门-搜索引擎技术</a>
					<div>
						如果您在登录到帐户时遇到问题,请从 AdSense 登录页 https://www.google.com/adsense 重试.如果您仍不能登录自己的 AdSense 帐户,或者忘记了密码,请访问 h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWZ3mz.html" rel="bookmark" class="title">Spotify创始人进英国富豪榜 旗下公司被估值12亿英镑</a>
					<div>
						在线音乐流媒体服务Spotify创始人丹尼尔-埃克 北京时间4月26消息,据国外媒体报道,在线音乐流媒体服务Spotify创始人丹尼尔-埃克(Daniel Ek)挤进了英国音乐领域百万富翁排行榜,个人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7q8kz.html" rel="bookmark" class="title">Facebook超过Myspace成为全球最大的社交网站</a>
					<div>
						据国外媒体报道,市场调研公司comScore发布的最新数据显示,今年6月开始Facebook已经超过Myspace成为全球最大的社交网站.同时报告显示,它也成为全球增长最快的社交网站. 就全球独立访客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjm1QM.html" rel="bookmark" class="title">百度小更新之后的个人优化见解</a>
					<div>
						摘要: 11月22日,百度小更新如期而至,站长业内一如既往的呼啸着,有人欢喜有人愁吧!有的网站降权排名全无,有的流量上升幅度很大.笔者的两个网站:老网站排名有所下降,新网站收录 11月22日,百度小更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0QmOM.html" rel="bookmark" class="title">cout-急！求大神解决一个极为简单的c&plus;&plus;问题</a>
					<div>
						问题描述 急!求大神解决一个极为简单的c++问题 在VS2010环境下编了下面一段代码: #include #include #include using namespace std; int mai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xlWrb.html" rel="bookmark" class="title">微软最新博文：Windows 7寿命仅剩3年 企业应尽早升级</a>
					<div>
						根据NetMarketShare公布的统计数据,Windows 10在全球桌面系统中的占比已经达到24.36%,7岁的Windows 7系统占比依然为48.34%.去年10月,微软宣布停止向PC OE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5aenp.html" rel="bookmark" class="title">实战：上亿数据如何秒查？</a>
					<div>
						最近在忙着优化集团公司的一个报表.优化完成后,报表查询速度有从半小时以上(甚至查不出)到秒查的质变.从修改SQL查询语句逻辑到决定创建存储过程实现,花了我3天多的时间,在此总结一下,希望对朋友们有帮助 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqL6mb.html" rel="bookmark" class="title">MSP：为云计算客户解除后顾之忧</a>
					<div>
						[51CTO.com原创稿件] 云计算发展了很多年,很多企业也纷纷拥抱云计算,将业务迁移到云端.然而,传统的云服务提供商对于企业上云的过程,并不能提供全套的服务,因此也就出现了很多第三方的合作伙伴,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvO2mM.html" rel="bookmark" class="title">Angular 应用技巧总结&lowbar;AngularJS</a>
					<div>
						angular的核心思想是通过数据驱动一切,其他东西都是数据的延伸. 套用Javascript一切皆对象的思想,在angular中可以说一切皆数据.   关于项目构建        (1) requi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEW75z.html" rel="bookmark" class="title">ajax级联菜单实现方法实例分析&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了ajax级联菜单实现方法.分享给大家供大家参考,具体如下: 效果如下: 选择第一项,第二项.第三项的内容跟着改变. 选择第二项,第三项的内容跟着改变. 第三项则不影响第一项和第二项. 有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NWB9b.html" rel="bookmark" class="title">注册用户问题</a>
					<div>
						问题描述 Toast.makeText(getApplicationContext(), &quot;用户已存在!&quot;, Toast.LENGTH_SHORT).show();中的 getAp ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
